include	clib.inc
include	dir.inc
include	errno.inc

PPROC	wsmkdirlocal, path:DWORD
	invoke	mkdir, path
	test	ax,ax
	jnz	wsmkdirlocal_01
	inc	ax
    wsmkdirlocal_00:
	ret
    wsmkdirlocal_01:
	mov	ax,WORD PTR path
	mov	dx,WORD PTR path+2
	call	ermkdir
	jmp	wsmkdirlocal_00
PEND	wsmkdirlocal

	END
